using System;
using System.Collections.Generic;
using System.Text;
using Zcu.Mve.Core;
using Zcu.Mve.Numerics;

namespace Zcu.Mve.Numerics
{
    class Counter:Module
    {
        private int value = 0;

        public int Value
        {
            get { return this.value; }
            set { this.value = value; }
        }

        public Counter()
        {
            AddOutPort("Value", typeof(Integer));
        }

        public override void Execute()
        {
            SetOutput("Value", new Integer(value));
            value++;
        }
    }
}
