using System;
using Zcu.Mve.Core;
using Zcu.Mve.Numerics;

namespace Zcu.Mve.Visualization
{
	/// <summary>
	/// Represents any geometric information. <br/>
	/// Point2D and Point3D are its typical subclasses. <br/>
	/// Only this type is accepted by UnstrGrid as geometric information.
	/// </summary>
	[DataObject("Represents any geometric information. Point2D and Point3D are its typical subclasses. Only this type is accepted by UnstrGrid as geometric information.")]
	public interface IPoint : IVector
	{
	
	} // interface IPoint
} // namespace